# Provider quota

Section of receiving quotas from the provider.\
\
Note that we should not assign quotas to teams that exceed the provider's quotas. This is because the provider will check the quotas when creating resources and will not allow more resources to be created than the quotas allow.

## Get quotas

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/admin/api/provider-quotas`

Get all quotas from the provider.

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
[
    {
        "id": "08025354-8f54-44f5-af60-cb0d20f7b998",
        "provider": "Azure",
        "quotas": [
            {
                "name": "Standard DCASv5 Family vCPUs",
                "limit": 4,
                "usage": 2,
                "region": "northeurope",
                "provider": "Azure",
                "id": "c0a9dbb7-2ead-4a71-969f-2e707619c094"
            },
            {
                "name": "Standard DCASv5 Family vCPUs",
                "limit": 4,
                "usage": 0,
                "region": "westeurope",
                "provider": "Azure",
                "id": "96039af1-fec2-4508-8098-a0d932a157fa"
            }
        ]
    },
    {
        "id": "b9599790-0080-487b-8f55-072f0ef59e87",
        "provider": "AWS",
        "quotas": [
            {
                "name": "Attachments per VPC",
                "limit": 5,
                "usage": 1,
                "region": "eu-west-1",
                "provider": "AWS",
                "id": "c21321ee-0334-486b-81a3-8254f0cbc539"
            }
        ]
    },
    {
        "id": "94e23929-7377-4aa8-adae-eac84da53b0c",
        "provider": "Kraud.Cloud",
        "quotas": [
            {
                "name": "Public Networks (IPv4)",
                "limit": 3,
                "usage": 0,
                "region": "berlin",
                "provider": "Kraud",
                "id": "5dcc24f1-582e-4b20-8bc2-47c3b7dc9090"
            },
            {
                "name": "CPU",
                "limit": "20",
                "usage": 0,
                "region": "berlin",
                "provider": "Kraud",
                "id": "85809c3b-15a3-45ed-a04f-9937e02baa12"
            },
            {
                "name": "Memory",
                "limit": "20G",
                "usage": "0.0G",
                "region": "berlin",
                "provider": "Kraud",
                "id": "5a196be1-dfbf-4999-b08c-cbffe8f57506"
            },
            {
                "name": "General Purpose SSD",
                "limit": "240G",
                "usage": "2.6G",
                "region": "berlin",
                "provider": "Kraud",
                "id": "60ed3610-bb07-4931-bc38-e8ed3a7dc03e"
            },
            {
                "name": "Redundancy Reduced HDD",
                "limit": "40G",
                "usage": "0.0G",
                "region": "berlin",
                "provider": "Kraud",
                "id": "bf02be3d-5a1f-4ece-b1a5-2b8e9a2f4e21"
            }
        ]
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/admin-admin-api/quotas/provider-quota.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
